utl::meta::reverse_impl::reverse_< List, V > Struct Template Reference

`#include <typelist.h>`

## Public Types

using | type = fold< List, V, quote< push_front > >

## Detailed Description

### template<typename List, typename V = typelist<>>
struct utl::meta::reverse_impl::reverse_< List, V >

Definition at line 467 of file typelist.h.

## Member Typedef Documentation

## type

template<typename List , typename V = typelist<>>

using utl::meta::reverse_impl::reverse_< List, V >::type = fold<List, V, quote<push_front> >

Examples:
  W:/Work/Software/Libraries/utl/include/utl/meta/typelist.h.

Definition at line 468 of file typelist.h.

The documentation for this struct was generated from the following file:

- include/utl/meta/typelist.h